POST /v1/action-proxy/{type}/execute
Execute an action (write, charges CU)
POST
/v1/action-proxy/{type}/execute
Execute an action (write, charges CU)
Path Parameters
type
string
required
path
Action type
Request Body required
Proxy parameters
application/jsonOne of:
Option 1
Option 2
payload
object
REQUIRED
walletId
string
REQUIRED
Responses
200
OK
application/jsoncode
integer
data
object
result
object
success
boolean
message
string
requestId
string
400
Bad Request
402
Payment Required
404
Not Found
502
Bad Gateway
curl -X POST 'https://api.example.com/v1/action-proxy/string/execute' \ -H 'Authorization: Bearer YOUR_API_TOKEN' \ -H 'Content-Type: application/json' \ -d '{}'
const response = await fetch('https://api.example.com/v1/action-proxy/string/execute', { method: 'POST', headers: { "Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json" }, body: JSON.stringify({})});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.post('https://api.example.com/v1/action-proxy/string/execute', headers=headers, json={})print(response.json())
package mainimport ( "fmt" "io" "net/http" "strings")func main() { body := strings.NewReader(`{}`) req, _ := http.NewRequest("POST", "https://api.example.com/v1/action-proxy/string/execute", body) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") req.Header.Set("Content-Type", "application/json") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
{ "code": 0, "data": { "result": "<object>", "success": true }, "message": "successfully", "requestId": "abc-123"}
API Playground
Try this endpoint
POST
/v1/action-proxy/{type}/execute
